1

How we can transfer the Database data to magento 1.9 to Magento 2 stable. As lots of tool available but did not find any useful detail about migration. Does any one tried to migrate data. What kind of step need to perform. I tried Ubertheme tool but did not work

8
  • this is a super broad question to ask; migration from major to major version was not an announced roadmap. at this point you're left to your own devices, and this vague of a question is going to get you nowhere. Nov 19 '15 at 7:29
  • I am not asking this question to related core magento migration tool but i am very much broad about answer related to any tool that help atleast something to start Nov 19 '15 at 7:37
  • That's the central issue to your question. This isn't stackoverflow, it's a magento stackexchange. Also, this question has a long standing history within the community, and is more than likely a duplicate. Nov 19 '15 at 7:40
  • I could flag it for 3 or 4 more reasons... Please review proper syntax and input for this forum. Nov 19 '15 at 7:42
  • it is about the magento and we can solve it with many different way we can list down all the possible solution so that it might help to other if you still want to flag than you can @ReidBlomquist . Nov 19 '15 at 7:51
2

Use the official data migration tool: https://github.com/magento/data-migration-tool-ce
For now it it outdated: not working with the Release and the Release Candidate versions, but it works with the Betas and it is open source so you can fix it to work with the Release by yourself or just wait: surely, Magento 2 team will update it and has not do it yet just because they was busy with the Release.

1
  • can you give step to use that particular data-migration-tool-ce becuase i did not find the exact documentation for it Nov 19 '15 at 7:49
1

There is NO STEP BY STEP GUIDE TO MIGRATE ANY EXTENSION FROM 1.X to 2.X. Please, settle in and get used to the fact that you're going to have to put in work to get what you want.

1
  • Also; please realize that automated migration tools are more than likely not going to generate optimal code; and that you should not, nor are you legally allowed to use them on 3rd party paid extensions with code-bases you do not own! Nov 19 '15 at 8:03

Not the answer you're looking for? Browse other questions tagged or ask your own question.